Your usage
GET
/v1/usageRequests made with your key today and this month, by endpoint.
On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
No parameters.
Request
# Your requests today and this month
curl "https://api.tourismapi.com/v1/usage" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/usage", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/usage",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/usage");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_7f3a1c",
"data_as_of": "2026-10-12T12:01:11Z",
"count": 1,
"next": null
},
"data": {
"today": 214,
"month": 3880,
"by_endpoint": {
"/v1/arrivals": 120,
"/v1/series/{id}/observations": 94
}
}
}Response fields
| Field | Type | Example |
|---|---|---|
| today | number | 214 |
| month | number | 3880 |
| by_endpoint | object | object |